## GstBaseTextOverlay

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTextOverlay

Opaque textoverlay object structure

### Properties

#### auto-resize

    “auto-resize” gboolean

Automatically adjust font size to screen-size.

Flags : Read / Write

Default value : true

#### color

    “color” guint

Color of the rendered text.

Flags : Read / Write

Default value : -1

#### deltax

    “deltax” gint

Shift X position to the left or to the right. Unit is pixels.

Flags : Read / Write

Default value : 0

#### deltay

    “deltay” gint

Shift Y position up or down. Unit is pixels.

Flags : Read / Write

Default value : 0

#### draw-outline

    “draw-outline” gboolean

If set, an outline is drawn.

Flags : Read / Write

Default value : true

#### draw-shadow

    “draw-shadow” gboolean

If set, a text shadow is drawn.

Flags : Read / Write

Default value : true

#### font-desc

    “font-desc” gchararray

Pango font description of font to be used for rendering. See documentation of pango_font_description_from_string for syntax.

Flags : Read / Write

#### halignment

    “halignment” Base-text-overlay-halign *

Horizontal alignment of the text

Flags : Read / Write

Default value : center (1)

#### line-alignment

    “line-alignment” Base-text-overlay-line-align *

Alignment of text lines relative to each other (for multi-line text)

Flags : Read / Write

Default value : center (1)

#### outline-color

    “outline-color” guint

Color to use for outline the text (big-endian ARGB).

Flags : Read / Write

Default value : -16777216

#### scale-mode

    “scale-mode” Base-text-overlay-scale-mode *

Scale text to compensate for and avoid distortion by subsequent video scaling

Flags : Read / Write

Default value : none (0)

#### scale-pixel-aspect-ratio

    “scale-pixel-aspect-ratio” GstFraction *

Video scaling pixel-aspect-ratio to compensate for in user scale-mode.

Flags : Read / Write

Default value : 1/1

#### shaded-background

    “shaded-background” gboolean

Whether to shade the background under the text area

Flags : Read / Write

Default value : false

#### shading-value

    “shading-value” guint

Shading value to apply if shaded-background is true

Flags : Read / Write

Default value : 80

#### silent

    “silent” gboolean

If set, no text is rendered. Useful to switch off text rendering temporarily without removing the textoverlay element from the pipeline.

Flags : Read / Write

Default value : false

#### text

    “text” gchararray

Text to be display.

Flags : Read / Write

#### text-height

    “text-height” guint

Resulting height of font rendering.

Flags : Read

Default value : 1

#### text-width

    “text-width” guint

Resulting width of font rendering.

Flags : Read

Default value : 1

#### text-x

    “text-x” gint

Resulting X position of font rendering.

Flags : Read

Default value : 0

#### text-y

    “text-y” gint

Resulting Y position of font rendering.

Flags : Read

Default value : 0

#### valignment

    “valignment” Base-text-overlay-valign *

Vertical alignment of the text

Flags : Read / Write

Default value : baseline (0)

#### vertical-render

    “vertical-render” gboolean

Vertical Render.

Flags : Read / Write

Default value : false

#### wait-text

    “wait-text” gboolean

If set, the video will block until a subtitle is received on the text pad. If video and subtitles are sent in sync, like from the same demuxer, this property should be set.

Flags : Read / Write

Default value : true

#### wrap-mode

    “wrap-mode” Base-text-overlay-wrap-mode *

Whether to wrap the text and if so how.

Flags : Read / Write

Default value : wordchar (2)

#### x-absolute

    “x-absolute” gdouble

Horizontal position of the rendered text when using absolute alignment.

Maps the text area to be exactly inside of video canvas for [0, 0] - [1, 1]:

[0, 0]: Top-Lefts of video and text are aligned [0.5, 0.5]: Centers are aligned [1, 1]: Bottom-Rights are aligned

Values beyond [0, 0] - [1, 1] place the text outside of the video canvas.

Flags : Read / Write

Default value : 0.5

#### xpad

    “xpad” gint

Horizontal paddding when using left/right alignment

Flags : Read / Write

Default value : 25

#### xpos

    “xpos” gdouble

Horizontal position of the rendered text when using positioned alignment.

Flags : Read / Write

Default value : 0.5

#### y-absolute

    “y-absolute” gdouble

See x-absolute.

Vertical position of the rendered text when using absolute alignment.

Flags : Read / Write

Default value : 0.5

#### ypad

    “ypad” gint

Vertical padding when using top/bottom alignment

Flags : Read / Write

Default value : 25

#### ypos

    “ypos” gdouble

Vertical position of the rendered text when using positioned alignment.

Flags : Read / Write

Default value : 0.5

### Named constants

#### Base-text-overlay-halign

Horizontal alignment of the text.

##### Members

`left` (0) – left
`center` (1) – center
`right` (2) – right
`Absolute position clamped to canvas` (4) – position
`Absolute position` (5) – absolute

#### Base-text-overlay-line-align

Alignment of text lines relative to each other

##### Members

`left` (0) – left
`center` (1) – center
`right` (2) – right

#### Base-text-overlay-scale-mode

Scale text to compensate for and avoid aspect distortion by subsequent scaling of video

##### Members

`none` (0) – none
`par` (1) – par
`display` (2) – display
`user` (3) – user

#### Base-text-overlay-valign

Vertical alignment of the text.

##### Members

`baseline` (0) – baseline
`bottom` (1) – bottom
`top` (2) – top
`Absolute position clamped to canvas` (3) – position
`center` (4) – center
`Absolute position` (5) – absolute

#### Base-text-overlay-wrap-mode

Whether to wrap the text and if so how.

##### Members

`none` (-1) – none
`word` (0) – word
`char` (1) – char
`wordchar` (2) – wordchar

The results of the search are